CSL Pay Developers

Initiate Payout Request

POST /handler/send/remittance/transaction

This endpoint initiates a payout request by sending a list of transactions to CSL Pay for processing. A partner would call this endpoint when they wish to instruct CSL Pay to make payments to multiple recipients. The request must include a list of transactions, each with the required details such as recipient information and payment amounts.

Types inferred from examples. This endpoint came from a Postman collection, which declares no schema — field types are read from the example values and no field is marked required.

Request body

  • transactionRequestList array7 fields
    An array of transaction requests
    • transactionReferencerequired string
      A unique reference for the transaction. The first 6 digits of the transactionReference is your IMTO Partner Code. The next 8 digits is today's date formatted in YYYYMMDD and must be calculated using the GMT+1 time zone
    • requestDaterequired string
      The date the transaction request was made
    • paymentCurrencyrequired string
      The currency of the payment. It mus be ISO country code
    • paymentAmountrequired string
      The amount of the payment
    • paymentNarrationrequired string
      A description of the payment
    • recipientInformationrequired object6 fields
      Details of the recipient
      • recipientAccountNumberrequired string
        The recipient's account number
      • recipientAccountNamerequired string
        The recipient's account name
      • recipientBankCoderequired string
        The recipient's bank code
      • recipientPhoneNumber string
        The recipient's phone number
      • recipientISOCountryCoderequired string
        The recipient's ISO country code
      • recipientAddressrequired string
        FATF Travel Rule Field
    • senderInformationrequired object5 fields
      Details of the sender
      • senderNamerequired string
        The sender's name
      • senderEmailAddress string
        The sender's email address
      • senderPhoneNumber string
        The sender's phone number
      • senderISOCountryCoderequired string
        The sender's ISO country code
      • senderAddressrequired string
        FATF Travel Rule Field

Response 201

  • batchId string
    Unique identifier for the batch of remittance transactions.
  • totalCount integer
    Total number of remittance transactions in the batch.
  • errorTransactionCount integer
    Number of remittance transactions that failed processing.
  • createDate string
    Date and time when the batch of remittance transactions was created.